-- By PeterJ (30-11-2010)



painelinfo = {};

function painelinfo.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function painelinfo:load(xmlFile)

	self.controlpath = Utils.getFilename("textures/info.png", self.baseDirectory);
    self.helpPoxX = 0.76;
    self.helpPoxY = 0.25;
    self.helpWidth = 0.23;
    self.helpHeight = 0.60;
    self.helpOverlay = Overlay:new("info", self.controlpath, self.helpPoxX, self.helpPoxY, self.helpWidth, self.helpHeight);
    self.bcActive = true;

end;

function painelinfo:keyEvent(unicode, sym, modifier, isDown)

		if isDown and sym == 48 then -- Key: 0
			self.bcActive = not self.bcActive;
		end;

end;

function painelinfo:update(dt)

end;

function painelinfo:draw()

	 if self.helpOverlay ~= nil then
		if self.bcActive then
		self.helpOverlay:render();
		end;
	end;
		if self.bcActive then	
			g_currentMission:addExtraPrintText("Key 0: Info Off");
		else
			g_currentMission:addExtraPrintText("Key 0: Info On");
		end;

end;

function painelinfo:onEnter()
end;

function painelinfo:onLeave()
end;

function painelinfo:delete()
end;

function painelinfo:mouseEvent(posX, posY, isDown, isUp, button)
end;

function painelinfo:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;





